# Populating Assigned To

{% hint style="info" %}
Configuration settings are published for information purposes only. Unless express consent has been granted, changes to configuration settings must only be made by Omfax Systems/Touch-Base Ltd technicians or their representatives.
{% endhint %}

The following is an extract from the MISExchange XML file. This extract contains the modified line (highlighted in blue) that is required to populate the ‘Assigned To' field at User Task Level .

```
<MISTask obj="CTSKTask" target="AssignedTo" dtype="int" length="4" type="FL" KFparent="" KFsource="AssignedTo" KFsourceType="MIS_ACTION" sql="select o.hierarchy_ID from shared_organisation_hierarchy_t o (nolock) join shared_users_t s (nolock) on s.user_id = o.user_id where s.username_vc = '[value]'" />
```

This specifies how to populate the Assigned To field. Amendments need to be made to the Keyfax database, and the selection of an ‘Assigned To' username needs to be manually scripted in Keyfax.

You can see this in context below\...

```
<MISTask obj="CTSKTask" target="" dtype="" length="" type="FL" KFparent="Action" KFsource="ActionCode" KFsourceType="MIS_ACTION" sql="">
	<MISTask obj="CTSKTask" target="Subject" dtype="varchar" length="100" type="FL" KFparent="Action" KFsource="ActionCodeDesc" KFsourceType="MIS_ACTION" sql="" />
	<MISTask obj="CTSKTask" target="Priority_ID" dtype="int" length="4" type="FL" KFparent="Action" KFsource="Priority" KFsourceType="MIS_ACTION" sql="" />
	<!-- In V4 : NOTE – IF BEFORE 4.0.1.11 ENSURE THAT THERE IS AN ASSIGNEDTO NODE IN YOUR EXPORT XML -->
	<MISTask obj="CTSKTask" target="AssignedTo" dtype="int" length="4" type="FL" KFparent="" KFsource="AssignedTo" KFsourceType="MIS_ACTION" sql="select o.hierarchy_ID from shared_organisation_hierarchy_t o (nolock) join shared_users_t s (nolock) on s.user_id = o.user_id where s.username_vc = '[value]'" />
	<MISTask obj="CTSKTask" target="Description" dtype="varchar" length="2000" type="FL" KFparent="" KFsource="EnquiryText" KFsourceType="MIS_ACTION" sql="" />
	<MISTask obj="CTSKTask" target="UserClassificationID" dtype="int" length="4" type="FL" KFparent="SubAction[SubActionKey='CallClassification']" KFsource="SubActionValue" KFsourceType="MIS_ACTION" sql="" />
	<MISTask obj="CTSKTask" target="SetGatewayValue" dtype="" length="" type="FL" KFparent="SubAction" KFsource="SubActionValue" KFsourceType="MIS_GATEWAY_VALUE" sql="">
		<MISTask obj="CTSKTask" target="SetGatewayValue.FieldName" dtype="varchar" length="256" type="FL" KFparent="SubAction" KFsource="SubActionKey" KFsourceType="MIS_GATEWAY_VALUE" sql="" />
		<MISTask obj="CTSKTask" target="SetGatewayValue.Value" dtype="varchar" length="255" type="FL" KFparent="SubAction" KFsource="SubActionValue" KFsourceType="MIS_GATEWAY_VALUE" sql="" /></MISTask>
</MISTask>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keyfax.biz/integrations/host-systems/activeh-desktop/mis-configuration/populating-assigned-to.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
